terraform {
  required_providers {
    ovh = {
      source  = "ovh/ovh"
      version = "~> 0.45.0"
    }
  }
  required_version = ">= 1.7.5"
}

provider "vault" {
  address = "https://vault.tips-of-mine.com"
  skip_child_token = true

  auth_login {
    path = "auth/approle/login"

    parameters = {
      role_id = "<your-role_id>"
      secret_id = "<your-secret_id>"
    }
  }
}

provider "ovh" {
  endpoint = "ovh-eu"
  application_key    = ${{ secrets.APPLICATION_KEY }}
  application_secret = ${{ secrets.APPLICATION_SECRET }}
  consumer_key       = ${{ secrets.CONSUMER_KEY }}
}